Bug 740984 - cacerts.txt missing from the package
Summary: cacerts.txt missing from the package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-boto
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-24 04:34 UTC by Mansour Behabadi
Modified: 2013-10-19 18:02 UTC (History)
3 users (show)

Fixed In Version: python-boto-2.13.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-18 19:55:19 UTC


Attachments (Terms of Use)

Description Mansour Behabadi 2011-09-24 04:34:24 UTC
Description of problem:

boto allows validation of certificates for HTTPS connections. To do this, it needs the CA certificates. These certificates are in boto/cacerts/cacerts.txt (https://github.com/boto/boto/blob/master/boto/cacerts/cacerts.txt). This file is however not shipped with the Fedora rpm package and hence breaks this functionality.

How reproducible:


Steps to Reproduce:
1. Enable certificate validation for boto:

   from boto import config
   config.add_section('Boto')
   config.setbool('Boto', 'https_validate_certificates', True)



2. Perform an operation (e.g. create new key)
  
Actual results:




Expected results:


Additional info:

Comment 1 Mansour Behabadi 2011-09-24 04:37:01 UTC
Sorry, clicked the report button by mistake.

Actual results:

Traceback (most recent call last):
  File "./cloudbd", line 265, in <module>
    main()
  File "./cloudbd", line 147, in main
    in locals(),globals()
  File "<string>", line 1, in <module>
  File "/home/mike/dev/cloudbd/src/cloudnbd/cmd/initcmd.py", line 39, in main
    cloud.check_access()
  File "/home/mike/dev/cloudbd/src/cloudnbd/cloud/gs.py", line 72, in check_access
    self._bucket = self._conn.get_bucket(self.bucket)
  File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 345, in get_bucket
    bucket.get_all_keys(headers, maxkeys=0)
  File "/usr/lib/python2.7/site-packages/boto/s3/bucket.py", line 349, in get_all_keys
    '', headers, **params)
  File "/usr/lib/python2.7/site-packages/boto/s3/bucket.py", line 306, in _get_all
    headers=headers, query_args=s)
  File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 423, in make_request
    override_num_retries=override_num_retries)
  File "/usr/lib/python2.7/site-packages/boto/connection.py", line 618, in make_request
    return self._mexe(http_request, sender, override_num_retries)
  File "/usr/lib/python2.7/site-packages/boto/connection.py", line 572, in _mexe
    raise e
ssl.SSLError: [Errno 185090050] _ssl.c:336: error:0B084002:x509 certificate routines:X509_load_cert_crl_file:system lib

Comment 2 Fedora End Of Life 2013-04-03 17:14:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora Update System 2013-09-27 01:10:27 UTC
python-boto-2.13.3-1.fc20,euca2ools-2.1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc20,euca2ools-2.1.4-1.fc20

Comment 4 Fedora Update System 2013-09-27 01:12:21 UTC
python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19

Comment 5 Fedora Update System 2013-09-27 01:13:30 UTC
python-boto-2.13.3-1.fc18,euca2ools-2.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc18,euca2ools-2.1.4-1.fc18

Comment 6 Fedora Update System 2013-09-27 01:15:00 UTC
python-boto-2.13.3-1.el6,euca2ools-2.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.el6,euca2ools-2.1.4-1.el6

Comment 7 Fedora Update System 2013-09-28 00:22:44 UTC
Package python-boto-2.13.3-1.fc19, euca2ools-2.1.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-boto-2.13.3-1.fc19 euca2ools-2.1.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17858/python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-10-15 06:29:41 UTC
python-boto-2.13.3-1.fc20, euca2ools-2.1.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-10-18 19:37:23 UTC
python-boto-2.13.3-1.fc18, euca2ools-2.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-10-18 19:55:19 UTC
python-boto-2.13.3-1.fc19, euca2ools-2.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-10-19 18:02:07 UTC
python-boto-2.13.3-1.el6, euca2ools-2.1.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.